//***************************************************************************//
//* FRIDA: flexible rapid interactive data analysis                         *//
//* (C) Joachim Wuttke 1990-, v2(C++) 2001-                                 *//
//* http://apps.jcns.fz-juelich.de                                          *//
//***************************************************************************//

//! \file  manip.h
//! \brief NManip: manipulate data (select, average, rearrange, ...)

//! API for data manipulations (binning, cutting, ...)

namespace NManip {
    void ProtectSpecs( bool on );
    void PtsSelect( bool sel_del );
    void PtsAvge();
    void PtsAvgeFixed();
    void PtsAvgeByErr( const string& subcmd );
    void PtsSort();
    void PtsAvgeEq();
    void PtsSymmetrize();
    void ScaSelect( bool sel_del );
    void ScaAvge();
    void ScaJoin();
    void ScaBreak();
    void ScaSpawn();
    void ZExchange();
    void ZDelete();
    void ScaZ();
    void ScaSortByExpr();
    void ScaSortByZ();
    void ScaExch();
    void HistoMake();
    void FilMerge( const string& opts );
    void FilMergePointwise();
    void Interpolate();
};
